Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-10856 Prep for 1.0
  3. HBASE-11102

Document JDK versions supported by each release

VotersWatch issueWatchersLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.99.0
    • Component/s: documentation
    • Labels:
      None
    • Hadoop Flags:
      Reviewed

      Description

      We can make use of a JDK version x HBase version matrix to explain which JDK version is supported and required.

      0.94, 0.96, and 0.98 releases all support JDK6 and JDK7. For 1.0, there is a discussion thread to decide whether to drop JDK6 support.

      There has been some work to support JDK8. We can also document that.

        Attachments

        1. HBASE-11102-2.patch
          3 kB
          M Linville
        2. HBASE-11102-1.patch
          3 kB
          M Linville
        3. HBASE-11102.patch
          2 kB
          M Linville

        Issue Links

          Activity

            People

            • Assignee:
              misty M Linville
              Reporter:
              enis Enis Soztutar

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment